function combis=combvecOct(varargin)
%% imitates Matlab's combvec function for Octave.
%% creates all possible combinations of input vectors.
%
% varargin = vectors.
% output = all possible combinations of numbers in vectors.
%
% RMF, 2019.

%% Check and set arguments.
narginchk(1,Inf); %checks for number of input arguments.
nargoutchk(0,1); %chekcs for number of output arguments

%% Built combinations.
combis = cell(1,nargin); %// pre-define to generate comma-separated list.
[combis{1:1:end}] = ndgrid(varargin{1:1:end}); %add vectors.
combis = cat(nargin+1, combis{:}); %// concat the n n-dim arrays along dimension n+1
combis = reshape(combis,[],nargin)'; %// 

end